Skip to main content
GET
Get a return file's decrypted content (dev-only)

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

The return file id (UUID).

Example:

"dddddddd-dddd-dddd-dddd-dddddddddddd"

Response

OK

content
string
required

The base64-encoded decrypted return-file body.

Example:

"QkFOQ08gU0lTQkFKVUQgUkVUT1JOSw=="

environment
string
required

The resolved SISBAJUD environment.

Example:

"production"

fileHash
string
required

The file content hash.

Example:

"sha256:abc123..."

fileName
string
required

The file name.

Example:

"retorno-2026-07-14.txt"

fileType
string
required

The SISBAJUD file-type code.

Example:

"RETORNO"

generationDate
string
required

The RFC3339 generation timestamp.

Example:

"2026-07-14T12:00:00Z"

id
string
required

The return file id.

Example:

"dddddddd-dddd-dddd-dddd-dddddddddddd"

institutionCode
string
required

The filing institution code (BACEN CNPJ).

Example:

"01234567000189"

recordCount
integer<int64>
required

The number of records in the file.

Example:

42

status
string
required

The file status.

Example:

"GENERATED"

transmissionDate
string

The RFC3339 transmission timestamp, when transmitted.

Example:

"2026-07-14T13:00:00Z"